Bug 509630 - GNOME power manager does not trigger suspend after timeout interval has elapsed
GNOME power manager does not trigger suspend after timeout interval has elapsed
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
11
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-04 05:01 EDT by Joachim Frieben
Modified: 2009-09-09 03:27 EDT (History)
2 users (show)

See Also:
Fixed In Version: gnome-power-manager-2.26.4-3.fc11.x86_64
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-09 03:27:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joachim Frieben 2009-07-04 05:01:05 EDT
Description of problem:
On a fully updated F11 system, g-s-s is set to consider the system idle after 5 min of inactivity. Moreover, g-p-m is set to power off the display after 30 min and to suspend the system after 35 min of inactivity.

Version-Release number of selected component (if applicable):
gnome-power-manager-2.26.2-1.fc11

How reproducible:
Always.

Steps to Reproduce:
1. Leave system while a GNOME session is running.
2. Return after 2 hours.
  
Actual results:
Display is powered off, but system is otherwise up and running.

Expected results:
System is sleeping [suspend mode].

Additional info:
Resume from suspend and from hibernate work reliably after system has been suspended/hibernated by triggering respective actions from the GNOME menu or by means of the corresponding GDM buttons [provided "nomodeset" has been added to the kernel boot options].
Installed packages include:
- gnome-power-manager-2.26.2-1.fc11.x86_64
- gnome-screensaver-2.26.1-2.fc11.x86_64
- kernel-2.6.29.6-211.fc11.x86_64
- pm-utils-1.2.5-2.fc11.x86_64
Comment 1 Richard Hughes 2009-08-20 08:05:22 EDT
Does installing the latest gnome-power-manager in updates-testing (and then rebooting...) fix the problem?
Comment 2 Joachim Frieben 2009-09-08 06:50:47 EDT
At least fixed in F12-rawhide which is currently installed on the system. I will give feedback on F11 as soon as possible.

Note You need to log in before you can comment on or make changes to this bug.